MONGOC_CLIENT_GET_SERVER_STATUS(3)

NAME
mongoc_client_get_server_status - mongoc_client_get_server_status()

SYNOPSIS

        bool
        mongoc_client_get_server_status (mongoc_client_t *client,
                                         mongoc_read_prefs_t *read_prefs,
                                         bson_t *reply,
                                         bson_error_t *error);

Queries the server for the current server status. The result is stored in reply.

WARNING:
        reply is always initialized, even in the case of failure. Always call bson_destroy() to release it.

PARAMETERS

    •   client: A mongoc_client_t.

    •   read_prefs: A mongoc_read_prefs_t.

    •   reply: A location for the result bson_t.

    •   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc